<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>SatuRSSA</title>

	<!-- Select2 -->
	<link rel="stylesheet" href="<?php echo base_url(); ?>theme/AdminLTE3/plugins/select2/css/select2.min.css">
	<link rel="stylesheet"
		href="<?php echo base_url(); ?>theme/AdminLTE3/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
	<!-- Google Font: Source Sans Pro -->
	<link rel="stylesheet"
		href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
	<!-- Font Awesome -->
	<link rel="stylesheet" href="<?php echo base_url(); ?>theme/AdminLTE3/plugins/fontawesome-free/css/all.min.css">
	<!-- Ionicons -->
	<link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
	<!-- Tempusdominus Bootstrap 4 -->
	<link rel="stylesheet"
		href="<?php echo base_url(); ?>theme/AdminLTE3/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
	<!-- iCheck -->
	<link rel="stylesheet"
		href="<?php echo base_url(); ?>theme/AdminLTE3/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
	<!-- JQVMap -->
	<link rel="stylesheet" href="<?php echo base_url(); ?>theme/AdminLTE3/plugins/jqvmap/jqvmap.min.css">
	<!-- Theme style -->
	<link rel="stylesheet" href="<?php echo base_url(); ?>theme/AdminLTE3/dist/css/adminlte.min.css">
	<!-- overlayScrollbars -->
	<link rel="stylesheet"
		href="<?php echo base_url(); ?>theme/AdminLTE3/plugins/overlayScrollbars/css/OverlayScrollbars.min.css">
	<!-- Daterange picker -->
	<link rel="stylesheet" href="<?php echo base_url(); ?>theme/AdminLTE3/plugins/daterangepicker/daterangepicker.css">
	<!-- summernote -->
	<link rel="stylesheet" href="<?php echo base_url(); ?>theme/AdminLTE3/plugins/summernote/summernote-bs4.min.css">
	<!-- DataTables -->
	<link rel="stylesheet"
		href="<?php echo base_url(); ?>theme/AdminLTE3/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
	<link rel="stylesheet"
		href="<?php echo base_url(); ?>theme/AdminLTE3/plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
	<link rel="stylesheet"
		href="<?php echo base_url(); ?>theme/AdminLTE3/plugins/datatables-buttons/css/buttons.bootstrap4.min.css">

</head>

<body class="hold-transition sidebar-mini layout-fixed accent-gray layout-footer-fixed text-sm">
	<div class="wrapper">
		<!-- Preloader -->
		<!--div class="preloader flex-column justify-content-center align-items-center">
                    <img class="animation__shake" src="<?php echo base_url(); ?>theme/AdminLTE3/dist/img/AdminLTELogo.png" alt="AdminLTELogo" height="60" width="60"/>
                </div-->

		<div class="row-fluid">
			<?php $this->load->view("includes/header"); ?>
		</div>
		<div id="main-container">
			<?php $this->load->view("includes/sidebar"); ?>
			<div class="content-wrapper">
				<?php $this->load->view($main_content); ?>
			</div>
			<footer class="main-footer">
				<?php $this->load->view("includes/footer"); ?>
			</footer>
		</div>
		<!-- Control Sidebar -->
		<aside class="control-sidebar control-sidebar-dark">
			<!-- Control sidebar content goes here -->
		</aside>
		<!-- /.control-sidebar -->
	</div>
	<!-- ./wrapper -->
	<!-- jQuery -->
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/jquery/jquery.min.js"></script>
	<!-- jQuery UI 1.11.4 -->
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/jquery-ui/jquery-ui.min.js"></script>
	<!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
	<script>
		$.widget.bridge('uibutton', $.ui.button)
	</script>
	<!-- Bootstrap 4 -->
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
	<!-- ChartJS -->
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/chart.js/Chart.min.js"></script>
	<!-- Sparkline -->
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/sparklines/sparkline.js"></script>
	<!-- JQVMap -->
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/jqvmap/jquery.vmap.min.js"></script>
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/jqvmap/maps/jquery.vmap.usa.js"></script>
	<!-- jQuery Knob Chart -->
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/jquery-knob/jquery.knob.min.js"></script>
	<!-- daterangepicker -->
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/moment/moment.min.js"></script>
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/daterangepicker/daterangepicker.js"></script>
	<!-- Tempusdominus Bootstrap 4 -->
	<script
		src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js">
	</script>
	<!-- Summernote -->
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/summernote/summernote-bs4.min.js"></script>
	<!-- overlayScrollbars -->
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js">
	</script>
	<!-- Bootstrap Switch -->
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/bootstrap-switch/js/bootstrap-switch.min.js"></script>
	<!-- InputMask -->
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/inputmask/jquery.inputmask.min.js"></script>
	<!-- AdminLTE App -->
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/dist/js/adminlte.js"></script>
	<!-- AdminLTE for demo purposes -->
	<!--script src="<?php echo base_url(); ?>theme/AdminLTE3/dist/js/demo.js"></script-->
	<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
	<!--script src="<?php echo base_url(); ?>theme/AdminLTE3/dist/js/pages/dashboard.js"></script-->

	<!-- DataTables  & Plugins -->
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/datatables/jquery.dataTables.min.js"></script>
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js">
	</script>
	<script
		src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/datatables-responsive/js/dataTables.responsive.min.js">
	</script>
	<script
		src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/datatables-responsive/js/responsive.bootstrap4.min.js">
	</script>
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/datatables-buttons/js/dataTables.buttons.min.js">
	</script>
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/datatables-buttons/js/buttons.bootstrap4.min.js">
	</script>
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/jszip/jszip.min.js"></script>
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/pdfmake/pdfmake.min.js"></script>
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/pdfmake/vfs_fonts.js"></script>
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/datatables-buttons/js/buttons.html5.min.js"></script>
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/datatables-buttons/js/buttons.print.min.js"></script>
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/bs-custom-file-input/bs-custom-file-input.min.js">
	</script>
	<!-- Select2 -->
	<script src="<?php echo base_url(); ?>theme/AdminLTE3/plugins/select2/js/select2.full.min.js"></script>
	<!-- Page specific script -->
	<script>
		$(function() {
			$("#example1").DataTable({
				"dom": 'Brftip',
				"responsive": true,
				"lengthChange": false,
				"autoWidth": false,
				// "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
				buttons: [{
						extend: "copy",
						exportOptions: {
							columns: [':not(.act):visible']
						}
					},
					{
						extend: "print",
						orientation: "landscape",
						filename: "laporan_" + moment().format("YYYYMMDD"),
						customize: function(win) {
							$(win.document.body).css("font-size", "10pt").prepend();
							$(win.document.body)
								.find("table")
								.addClass("compact")
								.css("font-size", "inherit");
						},
						exportOptions: {
							columns: [':not(.act):visible']
						}
					},
					{
						extend: "excel",
						filename: "laporan_" + moment().format("YYYYMMDD"),
						exportOptions: {
							columns: [':not(.act):visible']
						}
					},
					{
						extend: "csv",
						filename: "laporan_" + moment().format("YYYYMMDD"),
						exportOptions: {
							columns: [':not(.act):visible']
						}
					},
					{
						extend: "pdfHtml5",
						text: "PDF",
						filename: "laporan_" + moment().format("YYYYMMDD"),
						orientation: "landscape",
						customize: function(doc) {},
						exportOptions: {
							columns: [':not(.act):visible']
						}
					},
					{
						extend: "colvis"
					},
				],
			}).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
			$('#example2').DataTable({
				"dom": 'Brftip',
				"responsive": true,
				"lengthChange": false,
				"autoWidth": false,
				// "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
				buttons: [{
						extend: "copy",
						exportOptions: {
							columns: [':not(.act):visible']
						}
					},
					{
						extend: "print",
						orientation: "landscape",
						filename: "laporan_" + moment().format("YYYYMMDD"),
						customize: function(win) {
							$(win.document.body).css("font-size", "10pt").prepend();
							$(win.document.body)
								.find("table")
								.addClass("compact")
								.css("font-size", "inherit");
						},
						exportOptions: {
							columns: [':not(.act):visible']
						}
					},
					{
						extend: "excel",
						filename: "laporan_" + moment().format("YYYYMMDD"),
						exportOptions: {
							columns: [':not(.act):visible']
						}
					},
					{
						extend: "csv",
						filename: "laporan_" + moment().format("YYYYMMDD"),
						exportOptions: {
							columns: [':not(.act):visible']
						}
					},
					{
						extend: "pdfHtml5",
						text: "PDF",
						filename: "laporan_" + moment().format("YYYYMMDD"),
						orientation: "landscape",
						customize: function(doc) {},
						exportOptions: {
							columns: [':not(.act):visible']
						}
					},
					{
						extend: "colvis"
					},
				],
			})

			$("input[data-bootstrap-switch]").each(function() {
				$(this).bootstrapSwitch('state', $(this).prop('checked'));
			})

			//Initialize Select2 Elements
			$('.select2').select2()

			//Initialize Select2 Elements
			$('.select2bs4').select2({
				theme: 'bootstrap4'
			})

			$('#reservation').daterangepicker()

			//Datemask dd/mm/yyyy
			$('#datemask').inputmask('dd/mm/yyyy', {
				'placeholder': 'dd/mm/yyyy'
			})
			//Datemask2 mm/dd/yyyy
			$('#datemask2').inputmask('mm/dd/yyyy', {
				'placeholder': 'mm/dd/yyyy'
			})
			//Money Euro
			$('[data-mask]').inputmask()

			bsCustomFileInput.init();
		});
	</script>

</body>

</html>